org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmReferentialConstraintImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmReferentialConstraintImpl

- All Implemented Interfaces:
    EdmAnnotatable, EdmReferentialConstraint

      public class EdmReferentialConstraintImpl
      extends Object
      implements EdmReferentialConstraint, EdmAnnotatable

  Objects of this class represent EdmReferentialConstraint

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmReferentialConstraintImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAnnotations` | `getAnnotations()` Get all annotations applied to an EDM element
    `EdmReferentialConstraintRole` | `getDependent()` Get the dependent end element
    `EdmReferentialConstraintRole` | `getPrincipal()` Get the principal end element
    `void` | `setAnnotations(EdmAnnotations annotations)`
    `void` | `setDependent(EdmReferentialConstraintRole referentialConstraintDependentRole)`
    `void` | `setPrincipal(EdmReferentialConstraintRole referentialConstraintPrincipalRole)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EdmReferentialConstraintImpl

          public EdmReferentialConstraintImpl()

  - ### Method Detail

    - #### getPrincipal

          public EdmReferentialConstraintRole getPrincipal()
                                                    throws EdmException

      Description copied from interface: `EdmReferentialConstraint`
      Get the principal end element
      Specified by:
        `getPrincipal` in interface `EdmReferentialConstraint`
      Returns:
        `EdmReferentialConstraintRole`
      Throws:
        `EdmException`

    - #### getDependent

          public EdmReferentialConstraintRole getDependent()
                                                    throws EdmException

      Description copied from interface: `EdmReferentialConstraint`
      Get the dependent end element
      Specified by:
        `getDependent` in interface `EdmReferentialConstraint`
      Returns:
        `EdmReferentialConstraintRole`
      Throws:
        `EdmException`

    - #### getAnnotations

          public EdmAnnotations getAnnotations()
                                        throws EdmException

      Description copied from interface: `EdmAnnotatable`
      Get all annotations applied to an EDM element
      Specified by:
        `getAnnotations` in interface `EdmAnnotatable`
      Returns:
        `EdmAnnotations` never null
      Throws:
        `EdmException`

    - #### setPrincipal

          public void setPrincipal(EdmReferentialConstraintRole referentialConstraintPrincipalRole)

    - #### setDependent

          public void setDependent(EdmReferentialConstraintRole referentialConstraintDependentRole)

    - #### setAnnotations

          public void setAnnotations(EdmAnnotations annotations)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.